Change logs for ldb source package in Disco

  • ldb (2:1.5.4-0ubuntu1) disco; urgency=medium
    
      * New upstream version: 1.5.4 (LP: #1818525):
        - d/libldb1.symbols: update for this version
        - d/p/00_Enable-make-test-even-without-lmdb.patch: refreshed
        - Removed patches, applied upstream:
          + d/p/03_EBADE
          + d/p/CVE-2019-3824-*.patch
        - d/control: bump build-deps:
          + require talloc >= 2.1.16
          + require tdb >= 1.3.18
          + require tevent >= 0.9.39
        - d/libldb1.install: added libldb-tdb-{err-map,int}.so
      * d/rules: use Makefile targets instead of direct WAF calls
      * Add python3 packages (LP: #1440381):
        - d/control: add python3 packages
        - d/rules: clean extra paths in the clean target
        - d/python3-ldb*.install: install files for the new python3 packages.
        - d/control, d/python3-ldb-dev.install, d/rules: use dh-exec and
          install the python header file in a version-dependent include dir.
        - d/python3-ldb.symbols.*: add per-architecture symbols files
        - d/rules: dh_makeshlibs for python3-ldb
        - d/rules: exclude "ldb." from symbols check/generation, as to match
          the python3 extension name.
        - d/rules: fix tevent globbing used in its removal
      * d/control, d/python-ldb*, d/rules: drop python2 packages and support
    
     -- Andreas Hasenack <email address hidden>  Fri, 08 Mar 2019 16:41:11 +0000
  • ldb (2:1.5.1+really1.4.3-1ubuntu2) disco; urgency=medium
    
      * SECURITY UPDATE: Out of bound read in ldb_wildcard_compare
        - debian/patches/CVE-2019-3824-1.patch: fix length.
        - debian/patches/CVE-2019-3824-2.patch: add extra comments.
        - debian/patches/CVE-2019-3824-3.patch: improve code style.
        - debian/patches/CVE-2019-3824-4.patch: use talloc_zero.
        - debian/patches/CVE-2019-3824-5.patch: check tree operation.
        - debian/patches/CVE-2019-3824-6.patch: fix end of data check.
        - CVE-2019-3824
    
     -- Marc Deslauriers <email address hidden>  Tue, 26 Feb 2019 11:37:34 -0500
  • ldb (2:1.5.1+really1.4.3-1ubuntu1) disco; urgency=medium
    
      * Do not build with libmdb which is in Universe:
        - d/control: drop build-depends on libmdb-dev
        - d/libldb1.install: do not install libldb-mdb-int.so
        - d/rules: build without lmdb
    
     -- Andreas Hasenack <email address hidden>  Tue, 27 Nov 2018 11:44:53 -0200
  • ldb (2:1.5.1+really1.4.3-1) unstable; urgency=high
    
      * Rollback to version 1.4.3 (for Samba 4.9)
        - Revert "Refresh symbols files."
        - Revert "Install libldb-tdb-{err-map,int}.so"
        - Revert "Drop patch 03_EBADE: applied upstream."
    
     -- Mathieu Parent <email address hidden>  Sat, 24 Nov 2018 22:50:47 +0100
  • ldb (2:1.5.1-1) unstable; urgency=medium
    
      * New upstream release.
      * Drop patch 03_EBADE: applied upstream.
      * Install libldb-tdb-{err-map,int}.so
      * Unicodify my surname.
    
     -- Jelmer Vernooń≥ <email address hidden>  Fri, 23 Nov 2018 13:35:28 +0000
  • ldb (2:1.4.3-2) unstable; urgency=medium
    
      * Upload to unstable
    
     -- Mathieu Parent <email address hidden>  Sat, 17 Nov 2018 17:26:26 +0100
  • ldb (2:1.4.2-4) unstable; urgency=medium
    
      [ James Clarke ]
      * 03_EBADE: Add patch from upstream to fix FTBFS on architectures with no
        EBADE error code, such as GNU/kFreeBSD.
    
      [ Mathieu Parent ]
      * Upload to unstable
    
     -- Mathieu Parent <email address hidden>  Thu, 01 Nov 2018 21:10:06 +0100
  • ldb (2:1.4.0+really1.3.5-2) unstable; urgency=high
    
      * Add patch from upstream to fix FTBFS on some arches (arm64, armhf, mips,
        mipsel, s390x, ...)
      * Urgency kept to high
    
     -- Mathieu Parent <email address hidden>  Thu, 16 Aug 2018 15:46:12 +0200